Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[qt overlay] Qt beta and live ebuilds & Qt4 apps
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5 ... 14, 15, 16  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Feb 09, 2009 7:01 pm    Post subject: Reply with quote

franzf wrote:
franzf wrote:
qt-core (4.5.0_rc1) is built with doc enabled, but there is no qdoc executable:
Code:
 paludis --executables qt-core
* x11-libs/qt-core-4.5.0_rc1::installed
    /usr/bin/qmake
    /usr/bin/moc
    /usr/bin/rcc
    /usr/bin/uic

Am i missing something?

So this one is solved. Had to change some things in qt-core-ebuild:
Code:
    if use doc; then
        emake INSTALL_ROOT="${D}" install_htmldocs || die "emake install_htmldocs failed."
        dobin "${S}"/tools/qdoc3/qdoc3 || die "dobin qdoc3 failed"
    fi

added the "dobin [...]" in src_install
And added a "/" at the end of "tools/qdoc3" in src_unpack:
Code:
        QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
        tools/qdoc3/"

And now also qt-creator finished successfully :)
BTW. the "dobin" in src_install also misses in the stable (4.4.2-r1) qt-core in portage!
Should i open a bugreport, or is some dev reading this thread? :D


There was a bug report and I closed it yesterday. qdoc3 is installed by qt-assistant now and not qt-core.

Furthermore, we dont need to add qdoc3 on qt-4.4.2 packages since no package wants that file. The only package that wants qdoc3 is qt-creator that works only with Qt-4.5 :)
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Feb 09, 2009 7:03 pm    Post subject: Reply with quote

I forgot to mention that today i modified qt-gui live ebuilds to support

*opengl
*raster

graphics engines

For more info take a look here

http://labs.trolltech.com/blogs/2008/10/22/so-long-and-thanks-for-the-blit/
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Mon Feb 09, 2009 7:36 pm    Post subject: Reply with quote

Can you have a look at the PyQt ebuild. It is on version PyQt4-4.4.5_pre20090127 but the latest download from riverbank is actually PyQt4-4.4.5_pre20090208

http://www.riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-4.4.5-snapshot-20090208.tar.gz

Thanks.
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Feb 09, 2009 7:46 pm    Post subject: Reply with quote

Thanks. I ve just added it :)
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Mon Feb 09, 2009 8:02 pm    Post subject: Reply with quote

Thanks :)

Is this the right place to discuss the kde-testing + phonon problems.

A lot of kde-testing needs media-libs/phonon, but a lot of other things need qt-phonon. What is the recommended package?
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Feb 09, 2009 8:11 pm    Post subject: Reply with quote

No prob

For kde related issue I would advice you to post here

http://forums.gentoo.org/viewtopic-t-722264.html

or drop by #gentoo-kde channel on IRC ( freenode servers )
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Feb 09, 2009 8:27 pm    Post subject: Reply with quote

Hwoarang wrote:
I forgot to mention that today i modified qt-gui live ebuilds to support

*opengl
*raster

graphics engines

Nice! Setting one of these sets it as default engine, doesn't it?
So let's say I enable raster via that flag, the other engines get disabled, and all apps use raster, right?
And if I don't set that useflag, it uses x11 by default, and I can choose between the other two via the commandline switch?
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Feb 09, 2009 8:33 pm    Post subject: Reply with quote

gimpel wrote:
Hwoarang wrote:
I forgot to mention that today i modified qt-gui live ebuilds to support

*opengl
*raster

graphics engines

Nice! Setting one of these sets it as default engine, doesn't it?
So let's say I enable raster via that flag, the other engines get disabled, and all apps use raster, right?
And if I don't set that useflag, it uses x11 by default, and I can choose between the other two via the commandline switch?


Qt calls it "native". Is the one that get picked if you dont specify one by your self :)
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Feb 09, 2009 9:09 pm    Post subject: Reply with quote

Hwoarang wrote:
gimpel wrote:
Hwoarang wrote:
I forgot to mention that today i modified qt-gui live ebuilds to support

*opengl
*raster

graphics engines

Nice! Setting one of these sets it as default engine, doesn't it?
So let's say I enable raster via that flag, the other engines get disabled, and all apps use raster, right?
And if I don't set that useflag, it uses x11 by default, and I can choose between the other two via the commandline switch?


Qt calls it "native". Is the one that get picked if you dont specify one by your self :)

Native, indeed. That shoud be x11 on X11 ;)

But reading http://doc.trolltech.com/main-snapshot/paintsystem.html#selecting-the-painting-backend
using the configure switch enables it as default for all apps (which will break KWin for example, but I don't use that anyway)

*test* :)
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
neuron
Advocate
Advocate


Joined: 28 May 2002
Posts: 2371

PostPosted: Mon Feb 09, 2009 11:05 pm    Post subject: Reply with quote

Those renderers are pretty awsome news, going from 20fps to 92fps is quite an improvement, ofc it'll take time for applications to be updated, so this can be used activly, but still, very interesting stuff :)
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Feb 10, 2009 7:51 am    Post subject: Reply with quote

neuron wrote:
Those renderers are pretty awsome news, going from 20fps to 92fps is quite an improvement, ofc it'll take time for applications to be updated, so this can be used activly, but still, very interesting stuff :)

Using raster per default now... I've never seen dolphin that fast 8O
(Okay, I switched the icon theme from default oxygen svgz to one with png's recently, but even svg is fast now)

Anyways plasma has issues with that. For example when zooming out to the activities overview there are numerous rendering glitches.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
neuron
Advocate
Advocate


Joined: 28 May 2002
Posts: 2371

PostPosted: Tue Feb 10, 2009 9:03 am    Post subject: Reply with quote

gimpel wrote:
neuron wrote:
Those renderers are pretty awsome news, going from 20fps to 92fps is quite an improvement, ofc it'll take time for applications to be updated, so this can be used activly, but still, very interesting stuff :)

Using raster per default now... I've never seen dolphin that fast 8O
(Okay, I switched the icon theme from default oxygen svgz to one with png's recently, but even svg is fast now)

Anyways plasma has issues with that. For example when zooming out to the activities overview there are numerous rendering glitches.


Did you try opengl? Should be miles faster, but I'm guessing more broken as well :P
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Feb 10, 2009 3:07 pm    Post subject: Reply with quote

I ve added a ewarn message on the ebuild to warn you that opengl is quite experimental. Raster is consider "supported" from Qt. But of course it will take some time for those rendering engines to mature

But its nice to have that option though :)


I also applied a new kdm ebuild on portage which fixes the crash with Qt-4.5 :)
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 366
Location: Ekaterinburg, Russia

PostPosted: Tue Feb 10, 2009 5:15 pm    Post subject: Reply with quote

Code:
Unable to load graphicssystem "opengl"
on start of any qt app
what may be wrong?
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Feb 10, 2009 5:26 pm    Post subject: Reply with quote

do you have qt-opengl installed?
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Feb 10, 2009 5:34 pm    Post subject: Reply with quote

Ok that happens here too. I ll contact upstream. Thanks for reporting
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Feb 10, 2009 5:38 pm    Post subject: Reply with quote

Hwoarang wrote:
Ok that happens here too. I ll contact upstream. Thanks for reporting

See configure:
Code:
    # if opengl is disabled and the user specified graphicssystem gl, disable it...
    if [ "$CFG_GRAPHICS_SYSTEM" = "opengl" ] && [ "$CFG_OPENGL" = "no" ]; then
        echo "OpenGL Graphics System is disabled due to missing OpenGL support..."
        CFG_GRAPHICS_SYSTEM=default
    fi


the ebuild:
Code:
# Explictly don't compile these packages.
# Emerge "qt-webkit", "qt-phonon", etc for their functionality.
myconf="${myconf} -no-webkit -no-phonon -no-dbus -no-opengl"


So what I did was patching configure to just ignore that.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Feb 10, 2009 5:42 pm    Post subject: Reply with quote

That is actually really helpfull

Apparently the live qt-gui ebuild is heavily stupid :P cause it disables opengl
Code:

    # Explictly don't compile these packages.
    # Emerge "qt-webkit", "qt-phonon", etc for their functionality.
    myconf="${myconf} -no-webkit -no-phonon -no-dbus -no-opengl


and enables it a couple of lines below

Thanks folks . I ll test it locally and push the new ebuilds in 10 minutes :)


@gimpel
8)
Damn you are too quick :). Your fix should be fine. I am testing it locally before pushing it on the overlay
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Feb 10, 2009 6:15 pm    Post subject: Reply with quote

Hee, too quick indeed.

Hmm, would have been too easy. Seems there are even more checks in there and -no-opengl disables building that engine completely.
So with that patch it sets opengl as default engine, but it isn't available :(

Code:
└» speedcrunch
Unable to load graphicssystem "opengl"


Let's go hacking. split ebuilds vs building and linking opengl graphicssystem.. which is in src/opengl/qgraphicssystem_gl* .. daamn.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Feb 10, 2009 6:27 pm    Post subject: Reply with quote

Actually yes. That seems more complicated that it initially appeared.

another way to proceed is to have something like

Code:
    # Explictly don't compile these packages.
    # Emerge "qt-webkit", "qt-phonon", etc for their functionality.
    myconf="${myconf} -no-webkit -no-phonon -no-dbus"
    ! use opengl && myconf="${myconf}  -no-opengl"


But I need to think (and test of course ) more on this :?

Seems to me that this solution will lead to collisions with qt-opengl module 8) :roll:
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Feb 10, 2009 6:55 pm    Post subject: Reply with quote

Hwoarang wrote:
Seems to me that this solution will lead to collisions with qt-opengl module 8) :roll:

Yeah that's the problem here.

I guess it just a matter of linking. The opengl graphicssystem is compiled and linked in qt-opengl, watching that while installing:
Code:
>>> Starting src_compile                                               
make -j3                                                               
compiling qgraphicssystem_gl.cpp
...

Tadaa..

Now maybe it works if we force qt-gui to link against it, but still keeping -no-opengl in the ebuild.
I'm just diffing src/gui/Makefile with and without -no-opengl ... let's see.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Feb 10, 2009 8:27 pm    Post subject: Reply with quote

A crazy idea would be to build opengl module with qt-gui but never install it. In this case linking should be fine .

Meh, I am totally out of ideas :(
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Feb 10, 2009 8:37 pm    Post subject: Reply with quote

Hwoarang wrote:
A crazy idea would be to build opengl module with qt-gui but never install it. In this case linking should be fine .

Meh, I am totally out of ideas :(

That is exactly what I just did.

Added three useflags graphicssys-raster, graphicssys-opengl and opengl. The first two would just set the default engine, and opengl just enables opengl and removes stuff before installing...

Set raster as default, and enabled opengl..
Code:
└» speedcrunch -graphicssystem opengl
Unable to load graphicssystem "opengl"

Heck!
Now I'm out of ideas too.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Feb 10, 2009 8:42 pm    Post subject: Reply with quote

I am running a couple of tests on this here too. If that fails, opengl use flag will be removed until we come up with a solution :(
Back to top
View user's profile Send private message
drizzt
Guru
Guru


Joined: 21 Jul 2002
Posts: 337

PostPosted: Tue Feb 10, 2009 9:37 pm    Post subject: Reply with quote

Hello,
I just stumbled over this overlay and thought to give it a try. 2 things came up:
- qt-qt3support-4.5.0_rc1 doesn't compile with phonon use flag, because phonon use flags implies gstreamer and this one isn't found although I installed it to test
- kded4 constantly runs at 100%

any help appreciated
_________________
People don't have to earn my respect. I offer my respect to them, but be careful to lose my respect...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5 ... 14, 15, 16  Next
Page 4 of 16

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum